Index: code/branches/presentation3/data/levels/Fight in our Back.oxw
===================================================================
--- code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7058)
+++ code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7058)
@@ -0,0 +1,478 @@
+<?lua
+	include("stats.oxo")
+	include("hudtemplates3.oxo")
+  	include("templates/lodinformation.oxt")
+	include("templates/spaceship_assff.oxt")
+	include("templates/spaceship_pirate.oxt")
+	include("templates/spaceship_Transporter.oxt")
+?>
+
+<!--*****************************************************************************************************************************************************************************************-->
+<!--Including Template for triggering on player-->
+
+<Template name=spaceshipassffplayer>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   engine                 = spaceshipassffengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 25;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+      <DistanceTriggerBeacon name="PlayerDistanceTrigger" /> <!--added DistanceTrigger-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>  include("templates/lodinformation.oxt")
+<?lua
+  include("includes/weaponsettings3.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<!--*****************************************************************************************************************************************************************************************-->
+<Level
+  name="Fight in our back"
+  description="Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
+  gametype=TeamDeathmatch
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+	<!-- Ausgang: Szene ===> ambientlight/skybox -->
+	<Scene
+	  ambientlight="0.8,0.8,0.8"
+	  skybox="Orxonox/skypanoramagen1"
+	>
+		
+		<!--Light: noch zu aendern -->
+		<Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
+
+
+<!--*****************************************************************************************************************************************************************************************-->
+<!--Quests-->
+	<GlobalQuest id="FightInOurBack.DiscoveryMission_">    <!--QUESTIDS MUST HAVE AT LEAST 32 CHARACTERS-->
+		<QuestDescription title="Discovery mission" description="Your team has to scout out this sector." failMessage="You failed!" completeMessage="You won. You have reached the end of this level." />
+		<subquests>
+			<GlobalQuest id="FightInOurBack.FollowYourGroupLeader">
+				<QuestDescription title="Follow your group leader" description="Your task is to follow the team leader and to destroy all the enemy spaceships on your way!" failMessage="You failed!" completeMessage="Good job!" />
+			</GlobalQuest>
+			<GlobalQuest id="FightInOurBack.TransportersAhead">
+				<QuestDescription title="Transporters ahead" description="This is a lucky day for us. We have found supplies that the enemy is transporting in these Transporters. We have to destroy them." failMessage="You failed!" completeMessage="Good job!" />
+			</GlobalQuest>
+			<GlobalQuest id="FightInOurBack.TheySentUsAssistance">
+				<QuestDescription title="They sent us assistance" description="The transporters will surely be heavily protected but our base sent us assistance. It should now be easier to destroy them." failMessage="You failed" completeMessage="Good job!" />
+			</GlobalQuest>
+		</subquests>
+	</GlobalQuest>
+
+
+<!--Quests____END-->
+<!--*****************************************************************************************************************************************************************************************-->
+
+
+<!--Player's Spawnpoints______________________________________________________________________________________________________________________________________________________________________-->
+		<!--Spieler Spawnpoint ===> position/direction--> <!-- funktioniert noch nicht ab naechtem Mal wahrscheinlich-->
+		<SpawnPoint position="0,50,25" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="true" /> 
+<!--->			<events>
+				<activity>
+					<EventListener event="activateSecondSpawnpoint" />
+				</activity>
+			</events>
+		</SpawnPoint>
+
+		<SpawnPoint position="10000,0,3000" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="false" > 
+			<events>
+				<activity>
+					<EventListener event="activateSecondSpawnpoint" />
+				</activity>  include("templates/lodinformation.oxt")
+			</events>
+		</SpawnPoint>
+		
+<!--Player's Spawnpoint_____END____________________________________________________________________________________________________________________________________________________-->
+
+<!--Launching Quests_______________________________________________________________________________________________________________________________________________________________-->
+		<QuestEffectBeacon position="0,50,25" times="1">
+			<effects>
+				<AddQuest questId="FightInOurBack.DiscoveryMission_"/>
+				<AddQuest questId="FightInOurBack.FollowYourGroupLeader" />
+			</effects>
+			<events>
+				<execute>
+					<EventListener event="FightInOurBack_MainStart_FollowStart"/>
+				</execute>
+			</events>
+			<attached>
+				<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />
+				<DistanceTrigger name="FightInOurBack_MainStart_FollowStart" position="0,0,0" distance="50" target="DistanceTriggerBeacon" targetname="spaceshipassffplayer" invert=1 stayactive=1 activations=1 />
+			</attached>
+		</QuestEffectBeacon>
+<!---->
+		<QuestEffectBeacon position="8000,0,3100" times=1 >
+			<effects>
+				<AddQuest questID="FightInOurBack.FollowYourGroupLeader" />
+				<AddQuest questID="FightInOurBack.TheySentUsAssistance" />
+				<CompleteQuest questID="FightInOurBack.FollowYourGroupLeader" />
+			</effects>
+			<events>
+				<EventListener event="FightInOurBack_FollowEnd_DTranspStart_AssisStart" />
+			</events>
+			<attached>
+				<Billboard position="0,0,0" colour="1,1,1" material="Examples/Flare" />
+				<DistanceTrigger name="FightInOurBack_FollowEnd_DTranspStart_AssisStart" position="0,0,0" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive=1 activations=1 />
+			</attached>
+		</QuestEffectBeacon>
+			
+<!---->
+		
+<!--Launching Quests______END_______________________________________________________________________________________________________________________________________________________-->
+
+<!--Creating Transporters_________________________________________________________________________________________________________________________________________________________OK-->
+
+
+<?lua for i=0,0,1 do
+x=800
+health=2750
+?>
+		<!--Transporter 1-->
+	<EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
+	<events>
+	<trigger>
+		<SpaceShip position="<?lua print(3800-i*x) ?>,0,3000" lookat="<?lua print(4800-i*x) ?>,0,4000" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+			<templates>
+	    			<Template link=spaceshipTransporter />
+	  		</templates>
+	  		<controller>
+				<WaypointPatrolController alertnessradius=1000 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(14800-i*x) ?>,0,3000"/>
+					</waypoints>
+				</WaypointPatrolController>
+	  		</controller>
+		</SpaceShip><!---->
+	</trigger>
+	</events>
+	</EventTrigger>
+<?lua end ?>
+
+
+<?lua for j=0,1,1 do 
+health=1600
+x=800
+z=j*300
+?>
+		<!--Transporter 2,3-->
+	<EventTrigger name="activateTeam1No1" acitvations=1 stayactive="true">
+	<events>
+	<trigger>
+		<SpaceShip position="<?lua print(2600+x) ?>,0,<?lua print(3150-z) ?>" lookat="<?lua print(3500+x) ?>,0,<?lua print(4150-z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+			<templates>
+	    			<Template link=spaceshipTransporter />
+	  		</templates>
+	  		<controller>
+				<WaypointPatrolController alertnessradius=1000 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(13500+x) ?>,0,<?lua print(3150-z) ?>"/>
+					</waypoints>
+				</WaypointPatrolController>
+	  		</controller>
+		</SpaceShip><!---->
+	</trigger>
+	</events>
+	</EventTrigger>
+<?lua end ?>
+
+
+<!--Creating Transporters______END___________________________________________________________________________________________________________________________________________________________-->
+
+<!--Creating player's team_________________________________________________________________________________________________________________________________________________________________OK-->
+		<!--Spaceships team 0 (player:team=0)-->
+		<SpaceShip position="50,0,0" lookat="2050,0,-1000" health="500" maxhealth="500" initialhealth="500" >
+	  		<templates>
+	   			<Template link=spaceshipassff />
+	 		</templates>
+	  		<controller>
+				<WaypointPatrolController alertnessradius=2000 team=0 >
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="2050,0,-1000" />
+						<Model mesh="cube.mesh" scale=0 position="6050,0,0" />
+            					<Model mesh="cube.mesh" scale=0 position="10050,0,3000" />
+            					<Model mesh="cube.mesh" scale=0 position="3050,0,3000" />
+						<Model mesh="cube.mesh" scale=0 position="-4050,0,3000" />
+					</waypoints>
+				</WaypointPatrolController>
+	  		</controller>
+		</SpaceShip>
+		<!--Second Spaceship team 0 (player: team 0)-->
+		<SpaceShip position="0,0,100" lookat="2000,0,-950" health="400" maxhealth="400" initialhealth="400" >
+	  		<templates>
+	   			<Template link=spaceshipassff />
+	 		</templates>
+	  		<controller>
+				<WaypointPatrolController alertnessradius=2000 team=0 >
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="2000,0,-900" />
+						<Model mesh="cube.mesh" scale=0 position="6000,0,0" />
+            					<Model mesh="cube.mesh" scale=0 position="10000,0,3100" />
+            					<Model mesh="cube.mesh" scale=0 position="3000,0,3100" />
+						<Model mesh="cube.mesh" scale=0 position="-4000,0,3100"/>
+					</waypoints>
+				</WaypointPatrolController>
+	  		</controller>
+		</SpaceShip>
+		<!--third Spaceship team 0 (player: team 0)-->
+		<SpaceShip position="0,0,-100" lookat="2000,0,-1050" health="400" maxhealth="400" initialhealth="400" >
+	  		<templates>
+	   			<Template link=spaceshipassff />
+	 		</templates>
+	  		<controller>
+				<WaypointPatrolController alertnessradius=2000 team=0 >
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="2000,0,-1100" />
+						<Model mesh="cube.mesh" scale=0 position="6000,0,-100" />
+            					<Model mesh="cube.mesh" scale=0 position="10000,0,2900" />
+            					<Model mesh="cube.mesh" scale=0 position="3000,0,2900" />
+						<Model mesh="cube.mesh" scale=0 position="-4000,0,2900" />
+					</waypoints>
+				</WaypointPatrolController>
+	  		</controller>
+		</SpaceShip>
+<!--Creating player's team ______END _______________________________________________________________________________________________________________________________________________________-->
+
+
+<!--Asteroids (field)_____________________________________________________________________________________________________________________________________________________________________OK--> 
+
+		<StaticEntity position="3000,0,-1000">
+			<attached>
+				<?lua for i=0,100,1 do 
+				x=math.random(250,4000)
+				y=math.random(-500,500)
+				z=math.random(1000,2000)
+				scale=math.random(20,70)
+				?>
+				<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>">
+					<attached>
+						<Model scale=<?lua print(scale) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+					</attached>
+					<collisionShapes>
+        				<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+      					</collisionShapes> 
+				</MovableEntity>
+				<?lua end ?>
+			</attached>
+		</StaticEntity>
+
+<!--Asteroids (field)______END_______________________________________________________________________________________________________________________________________________________________-->
+
+<!--Asteroids (random)______END____________________________________________________________________________________________________________________________________________________________OK-->
+
+		<StaticEntity position="0,0,0">
+			<attached>
+				<?lua for i=0,150,1 do 
+				x=math.random(-8000,8000)
+				y=math.random(-8000,8000)
+				z=math.random(-8000,8000)
+				?>
+				<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>" >
+					<attached>
+						<Model scale=<?lua print(math.random(20,70)) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+					</attached>
+					<collisionShapes>
+       					<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+ 					</collisionShapes> 
+				</MovableEntity>
+				<?lua end ?>
+			</attached>
+		</StaticEntity>
+
+<!--Asteroids (random)______END______________________________________________________________________________________________________________________________________________________________-->
+
+<!--Creating spaceships (player's team)____________________________________________________________________________________________________________________________________________________OK-->
+<!---->
+<!--Trigger to activate this Team (TEAM NO 1)-->
+	<DistanceTrigger name="activateTeam0No1" position="8000,0,3100" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
+
+<!--TEAM NO 1 (activationType : distance || killing a spaceship what belongs to TEAM 0 NO 0)-->
+<?lua for i=0,9,1 do
+x=math.random(-500,500)
+y=math.random(-300,300)
+z=math.random(-300,300)
+?>
+	<EventTrigger name="activateTeam0No1" activations=1 stayactive="true">
+		<events>
+			<trigger>
+				<SpaceShip position="<?lua print(x+4500) ?>,<?lua print(y) ?>,<?lua print(z+6000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
+					<templates>
+						<Template link=spaceshipassff />
+					</templates>
+					<controller>
+						<WaypointPatrolController alertnessradius=2000 team=0 active=false>
+							<waypoints>
+								<Model mesh="cube.mesh" scale=0 position="<?lua print(4500+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+								<Model mesh="cube.mesh" scale=0 position="<?lua print(x-4000) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+							</waypoints>
+							<events>
+								<activity>
+									<EventListener event="activateTeam0No1" />
+								</activity>
+							</events>
+						</WaypointPatrolController>
+					</controller>
+				</SpaceShip>
+			</trigger>
+		</events>
+	</EventTrigger>
+
+
+<?lua end ?>
+
+<!---->
+<!--Creating spaceships (player's team)_______END_____________________________________________________________________________________________________________________________________________-->
+
+<!--Creating spaceships (enemy)____________________________________________________________________________________________________________________________________________________________OK-->
+<!---->
+<!--TEAM 1 NO 1 (activationType : killing a Transporter || killing a spaceship what belongs to TEAM 1 NO 1)-->
+<?lua for i=0,11,1 do
+x=math.random(-500,500)
+y=math.random(-300,300)
+z=math.random(-300,300)
+?>
+	<EventTrigger name="activateTeam1No1" activations=1 stayactive="true" >
+		<events>
+			<trigger>
+				<SpaceShip position="<?lua print(x+3800) ?>,<?lua print(y+3000) ?>,<?lua print(z+3000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
+					<templates>
+						<Template link=spaceshippirate />
+					</templates>
+					<controller>
+						<WaypointPatrolController alertnessradius=5000 team=1 active=false>
+							<waypoints>
+								<Model mesh="cube.mesh" scale=0 position="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
+							</waypoints>
+							<events>
+								<activity>
+									<EventListener event="activateTeam1No1" />
+								</activity>
+							</events>
+						</WaypointPatrolController>
+					</controller>
+				</SpaceShip>
+			</trigger>
+		</events>
+	</EventTrigger>
+
+<?lua end ?>
+<!---->
+<!--Creating spaceships (enemy)_______END____________________________________________________________________________________________________________________________________________________-->
+
+<!--Enemies on the way to the transporters___________________________________________________________________________________________________________________________________________________-->
+
+<?lua for i=0,1,1 do 
+z=math.random(-300,300)
+?>
+<!--NO 1-->
+		<SpaceShip position="<?lua print(5900+i*100) ?>,0,-3000" lookat="2500,0,-1000">
+			<templates>
+				<Template link=spaceshippirate/>
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessRadius=1500 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(2500+100*i) ?>,0,-1000" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+
+<!--NO 4-->
+		<SpaceShip position="<?lua print(9000) ?>,13000,<?lua print(z*i+3000) ?>" lookat="1000,0,3000">
+			<templates>
+				<Template link=spaceshippirate/>
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessRadius=1500 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(10000) ?>,0,<?lua print(3000+z*i) ?>" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+<?lua end ?>
+
+
+<!--NO 3-->
+		<SpaceShip position="<?lua print(200+13000) ?>,0,10000" lookat="8000,0,1000">
+			<templates>
+				<Template link=spaceshippirate/>
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessRadius=1500 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=10 position="<?lua print(200+8000) ?>,0,1000" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+<?lua for i=0,1,1 do ?>		
+		<SpaceShip position="<?lua print(i*400+13000) ?>,100,10000" lookat="8000,0,1000">
+			<templates>
+				<Template link=spaceshippirate/>
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessRadius=1500 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(i*400+8000) ?>,0,1000" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+<?lua end ?>
+
+
+<!--NO 2-->
+<?lua for i=0,3,1 do ?>
+		<SpaceShip position="<?lua print(math.random(5500,6500)+2000) ?>,0,1000" lookat="2500,0,-1000">
+			<templates>
+				<Template link=spaceshippirate/>
+			</templates>
+			<controller>
+				<WaypointPatrolController alertnessRadius=1500 team=1>
+					<waypoints>
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1250" />
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,250,1000" />
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(math.random(5750,6250)+2000) ?>,0,1000" />
+					</waypoints>
+				</WaypointPatrolController>
+			</controller>
+		</SpaceShip>
+<?lua end ?>
+
+<!--Creating spaceships (enemy)______END_____________________________________________________________________________________________________________________________________________________-->
+
+<DistanceTrigger name="activateSecondSpawnpoint" position="10000,0,3000" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" activations="1" stayactive="true" />
+
+	</Scene>
+</Level>
Index: code/branches/presentation3/data/levels/The Time Machine.oxw
===================================================================
--- code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7058)
+++ code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7058)
@@ -0,0 +1,729 @@
+<?lua 
+	include("stats.oxo")
+	include("hudtemplates3.oxo")
+    include("templates/lodinformation.oxt")
+	include("templates/spaceship_assff.oxt")
+	include("templates/spaceship_pirate.oxt")
+?>
+
+
+<!--*****************************************************************************************************************************************************************************************-->
+<!--Including Template for triggering on player-->
+
+<Template name=spaceshipassffplayer>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   engine                 = spaceshipassffengine
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 25;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+      <DistanceTriggerBeacon name="PlayerDistanceTrigger" /> <!--added DistanceTrigger-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+<?lua
+  include("includes/weaponsettings3.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<!--*****************************************************************************************************************************************************************************************-->
+
+
+
+
+<!--CREATING SPAWNPOINTS______________________________________________________________________________________________________________________________________________________________OK-->
+<Level
+	name="The Time Machine"
+	description="A simple level. The only goal is to defeat as much enemies as you can."
+	gametype=TeamDeathmatch
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+	<Scene
+		ambientlight="0.8,0.8,0.8"
+		skybox="Orxonox/skypanoramagen2"
+	>
+		
+		<Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
+
+<?lua for i=0,4,1 do
+x=500
+?>				
+
+		<SpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" direction="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassffplayer />
+<!--friendly spaceships spawnpoints-->
+		<TeamSpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" lookat="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+<!--enemy spaceship spawnpoint-->
+		<TeamSpawnPoint team=1 position="4000,0,<?lua print(i*x-1000) ?>" lookat="-5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshippirate />
+<?lua end ?>
+
+<!--CREATING SPAWNPOINTS END______________________________________________________________________________________________________________________________________________________________-->
+
+
+<!--TRIGGERS IF THE PLAYERS REACHES THE "TIME MACHINE"-->
+<!--->
+		<DistanceTrigger name="LeaveTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive="true" activations=1000 invert="true" ><!---->
+<!--->	<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" active=false >
+			<attached>
+				<Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,0,100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="-100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,-100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,0,-100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+			</attached>
+		</DistanceTrigger>
+<!--->
+<!---->
+		<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" invert=1 >
+<!---->			<attached>
+				<Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,0,100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="-100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,-100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+				<Billboard position="0,0,-100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+			</attached>
+<!---->	</DistanceTrigger>
+		
+		
+		
+<!--Creating Spaceships___________________________________________________________________________________________________________________________________________________________________OK-->
+
+<?lua for i=0,5,1 do 
+y=math.random(-500,500)
+z=math.random(-500,500)
+y2=math.random(-500,500)
+z2=math.random(-500,500)
+health=230
+addh=100
+?>
+<!--
+<EventTrigger name="ActivateAll" stayactive=1 >
+	<events>
+		<trigger>
+			<Bot>
+				<events>
+					<activity>
+						<EventListener event="EnterTimeMachine" />
+					</activity>
+				</events>
+			</Bot>
+		</trigger>
+	</events>
+</EventTrigger>
+-->
+		<EventTrigger name="ActivateAll" >
+			<events>
+				<trigger>
+					<SpaceShip position="-2000,<?lua print(y) ?>,<?lua print(z) ?>" lookat="1000,<?lua print(y) ?>,<?lua print(z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+						<templates>
+							<Template link=spaceshipassff />
+				 		</templates>
+				  		<controller>
+							<WaypointPatrolController alertnessradius=1000 team=0 active=1 >
+								<waypoints>
+									<Model mesh="cube.mesh" scale=0 position="1000,<?lua print(math.random(-1000,1000)) ?>,<?lua print(math.random(-1000,1000)) ?>" />
+								</waypoints>
+								<events>
+									<activity>
+										<EventListener event="EnterTimeMachine" />
+										<Trigger mode=or >
+											<EventTrigger>
+												<events>
+													<trigger>
+														<EventListener event="EnterTimeMachine" />
+													</trigger>
+												</events>
+											</EventTrigger>
+											<EventTrigger>
+												<events>
+													<trigger>
+														<EventListener event="Reactivate" />
+													</trigger>
+												</events>
+											</EventTrigger>
+										</Trigger>
+									</activity>
+								</events>
+							</WaypointPatrolController>
+				  		</controller>
+					</SpaceShip>
+				</trigger>
+			</events>
+		</EventTrigger>
+
+
+
+		<Trigger mode=and name="Reactivate">
+			<EventTrigger switch=true >
+				<events>
+					<trigger>
+						<EventListener event="ActivateAll" />
+						<EventListener event="ToggleBack" />
+					</trigger> 
+				</events>
+			</EventTrigger>
+			<EventTrigger invert=true>
+				<events>
+					<trigger>
+						<EventListener event="EnterTimeMachine" />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Trigger>
+		
+		<Trigger mode=and name="ToggleBack" >
+			<EventTrigger invert=1 >
+				<events>
+					<trigger>
+						<EventListener event="EnterTimeMachine" />
+					
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Trigger>
+		
+<!--->
+		<Trigger mode=and name="SomeTrigger">
+			<EventTrigger switch=true >
+				<events>
+					<trigger>
+						<EventListener event="trigger1" />
+						<EventListener event="ToggleBack" />
+					</trigger>
+				</events>
+			</EventTrigger>
+			<EventTrigger invert=true>
+				<events>
+					<trigger>
+						<EventListener event="EnterTimeMachine" />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Trigger>
+
+		<Trigger name="trigger1" mode=and>
+			<EventTrigger>
+				<events>
+					<trigger>
+						<EventListener event="ActivateAll" />
+					</trigger>
+				</events>
+			</EventTrigger>
+			<EventTrigger invert=true>
+				<events>
+					<trigger>
+						<EventListener event="EnterTimeMachine" />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Trigger>
+			
+		<Trigger mode=and name="ToggleBack">
+			<EventTrigger switch=true>
+				<events>
+					<trigger>
+						<EventListener event="trigger1" />
+						<EventListener event="ToggleBack" />
+					</trigger>
+				</events>
+			</EventTrigger>
+			<EventTrigger>
+				<events>
+					<trigger>
+						<EventListener event="EnterTimeMachine" />
+					</trigger>
+				</events>
+			</EventTrigger>
+		</Trigger>
+<!---->
+<!--
+		<EventTrigger name="ActivateAll">
+			<events>
+				<trigger>
+					<SpaceShip position="2000,<?lua print(y2) ?>,<?lua print(z2) ?>" lookat="-1000,<?lua print(y2) ?>, <?lua print(z2) ?>" health=<?lua print(health+addh) ?> maxhealth=<?lua print(health+addh) ?> initialhealth=<?lua print(health+addh) ?> >
+						<templates>
+							<Template link=spaceshippirate />
+				 		</templates>
+				  		<controller>
+							<WaypointPatrolController alertnessradius=1000 team=0 active=1 >
+								<waypoints>
+									<Model mesh="cube.mesh" scale=0 position="-1000,<?lua print(math.random(-1000,1000)) ?>, <?lua print(math.random(-1000,1000)) ?>" />
+								</waypoints>
+								<events>
+									<activity>
+										<Trigger mode=or >
+											<EventTrigger>
+												<events>
+													<trigger>
+														<EventListener event="EnterTimeMachine" />
+													</trigger>
+												</events>
+											</EventTrigger>
+											<EventTrigger>
+												<events>
+													<trigger>
+														<EventListener event="SomeTrigger" />
+													</trigger>
+												</events>
+											</EventTrigger>
+										</Trigger>
+									</activity>
+								</events>
+							</WaypointPatrolController>
+				  		</controller>
+					</SpaceShip>
+				</trigger>
+			</events>
+		</EventTrigger>
+-->
+
+<?lua end ?>
+<!--Creating Spaceships_____END___________________________________________________________________________________________________________________________________________________________OK-->
+
+<!--BILLBOARD ON THE MIDDLE OF THE BATTLEFIELD-->
+		<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Flares/backlightflare" scale=1 />
+		
+<!--TIME MACHINE____________________________________________________________________________________________________________________________________________________________________________-->
+		<StaticEntity>
+			<attached>
+				<MovableEntity position="0,0,0">
+					<attached>
+<!--MIDDLE-->
+<?lua for i=0,2,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=<?lua print(-255-i*120) ?> >
+							<attached>
+								<Billboard position="<?lua print(10+i*10) ?>,<?lua print(-10-i*10) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+								<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+							</attached>
+						</MovableEntity>
+	
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(-245-i*90) ?> >
+							<attached>
+								<Billboard position="<?lua print(10+i*20) ?>,<?lua print(-10-i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+								<Billboard position="<?lua print(-10-i*20) ?>,<?lua print(10+i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+							</attached>
+						</MovableEntity>
+		
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(265+i*110) ?> >
+							<attached>
+								<Billboard position="<?lua print(10+i*20) ?>,0,<?lua print(-10-i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+								<Billboard position="<?lua print(-10-i*20) ?>,0,<?lua print(10+i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+							</attached>
+						</MovableEntity>
+		
+						<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=<?lua print(240+i*80) ?> >
+							<attached>
+								<Billboard position="<?lua print(15+i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+								<Billboard position="<?lua print(-15-i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+							</attached>
+						</MovableEntity>
+
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=<?lua print(232+i*70) ?> >
+							<attached>
+								<Billboard position="0,<?lua print(15+i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+								<Billboard position="0,<?lua print(-15-i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+
+
+<!--FIRST DISTANT-->
+<?lua for i=0,1,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=10 >
+							<attached>
+								<MovableEntity position="<?lua print(1500-3000*i) ?>,0,0">
+									<attached>
+										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+											<attached>
+												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+											<attached>
+												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+											<attached>
+												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+									</attached>
+								</MovableEntity>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+<!--SECOND DISTANT-->
+<?lua for i=0,1,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=8 >
+							<attached>
+								<MovableEntity position="0,<?lua print(1500-3000*i) ?>,0">
+									<attached>
+										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+											<attached>
+												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+											<attached>
+												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+											<attached>
+												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+									</attached>
+								</MovableEntity>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+<!--THIRD DISTANT-->
+<?lua for i=0,1,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=9 >
+							<attached>
+								<MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
+									<attached>
+										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+											<attached>
+												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+											<attached>
+												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+											<attached>
+												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+									</attached>
+								</MovableEntity>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+<!--FOURTH DISTANT-->
+<?lua for i=0,1,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=12 >
+							<attached>
+								<MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
+									<attached>
+										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+											<attached>
+												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+											<attached>
+												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+											<attached>
+												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+									</attached>
+								</MovableEntity>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+<!--FIFTH DISTANT-->
+<?lua for i=0,1,1 do ?>
+						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=11 >
+							<attached>
+								<MovableEntity position="<?lua print(1000-2000*i) ?>,0,<?lua print(-1000+2000*i) ?>">
+									<attached>
+										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+											<attached>
+												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+											<attached>
+												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+											<attached>
+												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+											<attached>
+												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+											</attached>
+										</MovableEntity>
+
+									</attached>
+								</MovableEntity>
+							</attached>
+						</MovableEntity>
+<?lua end ?>
+
+
+
+					</attached>
+				</MovableEntity>
+				<!--<DistanceTrigger>-->
+			</attached>
+		</StaticEntity>
+
+<!--TIME MACHINE END____________________________________________________________________________________________________________________________________________________________________-->
+
+<!--Forcefields_________________________________________________________________________________________________________________________________________________________________________-->
+
+<!--NO 1->
+		<ForceField position="-2500,0,800" direction="1,0,0" diameter=500 velocity=5000 length=1000 />
+		<MovableEntity position="-2500,0,800">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=2/>
+				<?lua for i=0,20,1 do ?>
+					<Billboard position="<?lua print(i*200) ?>,0,-100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
+					<Billboard position="<?lua print(i*200) ?>,0,100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
+				<?lua end ?>
+				</attached>
+		</MovableEntity>
+<!--NO 2->
+		<ForceField position="2500,0,-800" direction="-1,0,0" diameter=500 velocity=5000 length=1000 />
+		<MovableEntity position="2500,0,-800">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0" scale=2/>
+				<?lua for i=0,20,1 do ?>
+					<Billboard position="<?lua print(-i*200) ?>,0,-100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
+					<Billboard position="<?lua print(-i*200) ?>,0,100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+		
+<!--NO 3->
+		<ForceField position="-2500,0,-600" direction="0.75,0.5,1" diameter=500 velocity=5000 length=1000 />
+		<MovableEntity position="-2500,0,-600">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0.5" scale=2/>
+				<?lua for i=0,20,1 do ?>
+					<Billboard position="<?lua print(i*115-100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
+					<Billboard position="<?lua print(i*115+100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->		
+<!--NO 4->
+		<ForceField position="2500,0,600" direction="-0.75,-0.5,-1" diameter=500 velocity=5000 length=1000 />
+		<MovableEntity position="2500,0,600">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0.5" scale=2/>
+				<?lua for i=0,20,1 do ?>
+					<Billboard position="<?lua print(i*(-115)-100) ?>,<?lua print(i*(-75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
+					<Billboard position="<?lua print(i*(-115)+100) ?>,<?lua print(i*-(75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->
+
+<!--NO 5 (samller)->
+		<ForceField position="0,-500,500" direction="0,1,0" diameter=500 velocity=3000 length=1000 />
+		<MovableEntity position="0,-500,500">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.5,0" scale=2/>
+				<?lua for i=0,15,1 do ?>
+					<Billboard position="0,<?lua print(i*100) ?>,0" material="Examples/Flare" colour="0.5,0.5,0" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->
+
+<!--No 6 (smaller)->
+		<ForceField position="0,500,-500" direction="0,-1,0" diameter=500 velocity=3000 length=1000 />
+		<MovableEntity position="0,500,-500">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.3,0.2" scale=2/>
+				<?lua for i=0,15,1 do ?>
+					<Billboard position="0,<?lua print(i*(-100)) ?>,0" material="Examples/Flare" colour="0.5,0.3,0.2" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->
+
+<!--No 7 (smaller)->
+		<ForceField position="500,0,-500" direction="0,0,1" diameter=500 velocity=2500 length=750 />
+		<MovableEntity position="500,0,-500">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.4,0.6" scale=2/>
+				<?lua for i=0,8,1 do ?>
+					<Billboard position="0,0,<?lua print(i*(100)) ?>" material="Examples/Flare" colour="0.5,0.4,0.6" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->
+
+<!--No 8 (smaller)->
+		<ForceField position="-500,0,500" direction="0,0,-1" diameter=500 velocity=2500 length=750 />
+		<MovableEntity position="-500,0,500">
+			<attached>
+				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
+				<?lua for i=0,8,1 do ?>
+					<Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+				<?lua end ?>
+			</attached>
+		</MovableEntity>
+<!---->
+
+<!--Invisible Forcefield (immediatly sends you to the time machine)-->
+		<ForceField position="-2500,2500,800" direction="1,-1,-0.32" diameter=200 velocity=10000 length=880 />
+		<Billboard position="-2500,2500,800" material="Examples/Flare" colour="1,1,1" />
+
+<!---->
+
+	</Scene>
+</Level>
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: code/branches/presentation3/data/levels/empty_level.oxw
===================================================================
--- code/branches/presentation3/data/levels/empty_level.oxw	(revision 7057)
+++ code/branches/presentation3/data/levels/empty_level.oxw	(revision 7058)
@@ -23,7 +23,27 @@
   >
 
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+
 
   </Scene>
 </Level>
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
